#
# $Id: nettimer.spec.in,v 1.3 2001/07/25 22:22:56 laik Exp $
#
# libkl.spec
#
# Copyright (C) 2000 Kevin Lai
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
%define name nettimer
%define major 2
%define minor 3
%define tertiary 6
%define lt_release 2
%define lt_current 3
%define lt_revision 6
%define lt_age 0
%define release 1
%define version %{major}.%{minor}.%{tertiary}
%define prefix /usr

Name: %{name}
Version: %version
Release: %release 
Summary: Nettimer is a bandwidth measurement tool.
Copyright: GPL
Group: Applications/Internet
Packager: Kevin I-Sen Lai <laik@cs.stanford.edu>
Source: ftp://mosquitonet.stanford.edu/pub/laik/nettimer-%{version}.tar.gz
URL: http://mosquitonet.stanford.edu/~laik/projects/nettimer/index.html
Prefix: %{prefix}
Docdir: %{prefix}/share/doc

#Patch0: 

%description
Nettimer is a tool to do network bandwidth measurement. It can
actively probe or passively listen. It can listen at multiple points
in the network. It can run in real time or analyze traces.

%prep
%setup
#%patch0 -p1
#rm -f *.orig

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
make install

%clean
make uninstall
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO INSTALL doc/*.html doc/*.ps doc/*.pdf
%attr(4755,root,bin) %{prefix}/sbin/nettimer
%{prefix}/share/man/man8/nettimer.8



